Subject: Re: [atoca] draft-ietf-atoca-requirements-02.txt

From: Hannes Tschofenig <[email-masked]>
Date: Sat, 14 Jan 2012 11:26:05 +0200

Hi Randy, 

I just found this mail. This may be your promised review. Is it?

On Nov 18, 2011, at 7:32 AM, Randall Gellens wrote:

> I've read though the draft, and I think it needs to clearly identify the problems to be solved.  I'd suggest a new sub-section in the Introduction to very briefly lay out the major types of use cases (e.g., national emergencies, local events), and a new section before Terminology to define the problems to be solved, ideally with a small number of example use cases.

Do the use cases Brian sent to the list address your feedback? 

> 
> Also, the document should be higher-layer and not dive into CAP and other lower-level details.

CAP is only mentioned twice in the document and that does not seem to be too far fetched given that the charter says we are using it. 
However, I could soften the language a bit, such as 

FROM:

   Alert Delivery:

      In this step the alert message is distributed to one or multiple
      Receivers.  The Receiver as a software module that presents the
      alert message to the Receipient.  The alert encoding is
      accomplished via the Common Alerting Protocol (CAP) and such an
      alert message contains useful information needed for dealing with
      the imminent danger.

TO:

   Alert Delivery:

      In this step the alert message is distributed to one or multiple
      Receivers.  The Receiver as a software module that presents the
      alert message to the Receipient.  The alert encoding may be    
      accomplished using Common Alerting Protocol (CAP). An
      alert message contains useful information needed for dealing with
      the imminent danger.

FROM:

With the usage of CAP these
   alert message content requirements are delegated to the authors and
   originators of alerts.

TO:

   The requirements for the alert content are with the authors and the 
   originators of that alert rather than with the distribution system itself. 

Also, during the meeting someone said that I should replace LoST with discovery. 
That's fine in some sense but I don't want to be super abstract so that nobody 
understands the intentions anymore. 

> Finally, I strongly recommend NOT using the term Message Handling System (MHS) as this has specific meaning already.

What terminology do you suggest? 

Ciao
Hannes

> 
> -- 
> Randall Gellens
> Opinions are personal;    facts are suspect;    I speak for myself only
> -------------- Randomly selected tag: ---------------
> You are wise, witty, and wonderful, but you spend too much time reading
> this sort of trash.
> _______________________________________________
> atoca mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/atoca